package com.mx.cneeds.server.wechat.websocket.message.pojo.auth;

import com.mx.cneeds.server.wechat.common.dispatcher.Message;

/**
 * 用户认证请求
 * @author zzr
 */
public class AuthRequest implements Message {

    public static final String TYPE = "AUTH_REQUEST";

    /**
     * 认证 Token
     */
    private String accessToken;

    public String getAccessToken() {
        return accessToken;
    }

    public AuthRequest setAccessToken(String accessToken) {
        this.accessToken = accessToken;
        return this;
    }

    @Override
    public String toString() {
        return "AuthRequest{" +
                "accessToken='" + accessToken + '\'' +
                '}';
    }

}
